# -*- coding: utf-8 -*-

# Copyright (c) 2009, 2010, 2012 Kaliko Jack <kaliko.jack@azylum.org>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#


import sys
from socket import error as SocketError

try:
    from mpd import (MPDClient, CommandError)
except ImportError, err:
    print 'ERROR: "%s"\n\nPlease install python-mpd module.\n' % err
    sys.exit(1)


class MPDClass(object):
    """Connect to MPD server
    """

    def __init__(self):
        self.client = MPDClient()

    def mpdConnect(self):
        """
        Simple wrapper to connect MPD.
        """
        try:
            self.client.connect(**self.con_id)
        except SocketError:
            return False
        return True

    def mpdAuth(self, secret):
        """ Authenticate"""
        try:
            self.client.password(secret)
        except CommandError:
            return False
        return True


def main():
    pass

# Script starts here
if __name__ == '__main__':
    main()

# VIM MODLINE
# vim: ai ts=4 sw=4 sts=4 expandtab
